org.cybergarage.upnp.ssdp

## Class SSDPSearchResponseSocket

- java.lang.Object
- - org.cybergarage.upnp.ssdp.HTTPUSocket
  - - org.cybergarage.upnp.ssdp.SSDPSearchResponseSocket

- All Implemented Interfaces:
    Runnable

      public class SSDPSearchResponseSocket
      extends HTTPUSocket
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPSearchResponseSocket()`
    `SSDPSearchResponseSocket(String bindAddr, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ControlPoint` | `getControlPoint()`
    `boolean` | `post(String addr, int port, SSDPSearchRequest req)`
    `boolean` | `post(String addr, int port, SSDPSearchResponse res)`
    `void` | `run()`
    `void` | `setControlPoint(ControlPoint ctrlp)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class org.cybergarage.upnp.ssdp.HTTPUSocket

      `close, finalize, getDatagramSocket, getLocalAddress, open, open, open, post, receive, setLocalAddress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPSearchResponseSocket

          public SSDPSearchResponseSocket()

    - #### SSDPSearchResponseSocket

          public SSDPSearchResponseSocket(String bindAddr,
                                  int port)

  - ### Method Detail

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlp)

    - #### getControlPoint

          public ControlPoint getControlPoint()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### post

          public boolean post(String addr,
                     int port,
                     SSDPSearchResponse res)

    - #### post

          public boolean post(String addr,
                     int port,
                     SSDPSearchRequest req)